> For the complete documentation index, see [llms.txt](https://docs.udara360.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.udara360.io/udara360-docs-1/savings/fixed-deposits-api/search-fixed-deposit-account.md).

# Search Fixed Deposit Account

To search for an existing fixed deposit account, you need to make a GET request to the specified endpoint:

<mark style="color:blue;">`GET`</mark> `/api/FixedDepositAccount/v1/Search`\
\
This process allows you to retrieve information about existing fixed deposit accounts based on specific search parameters.

\
A successful request will return the details of the fixed deposit account that matches the search criteria.

**Headers**

| Name                                            | Value                |
| ----------------------------------------------- | -------------------- |
| Content-Type<mark style="color:red;">\*</mark>  | `application/json`   |
| Authorization<mark style="color:red;">\*</mark> | `Bearer <token>`     |
| Request-Reference                               | `{unique-reference}` |

**Query Parameter**

<table><thead><tr><th width="196">Name</th><th width="177">Data Type (length)</th><th>Description</th><th data-hidden>Required</th></tr></thead><tbody><tr><td><code>accountNumber</code></td><td>string</td><td>The unique number identifying the account</td><td></td></tr><tr><td><code>customerID</code></td><td>string</td><td>The unique identifier of the customer associated with the account</td><td></td></tr><tr><td><code>accountName</code></td><td>string</td><td>The name associated with the account</td><td></td></tr><tr><td><code>productCode</code></td><td>string</td><td>The code of the product associated with the account</td><td></td></tr><tr><td><code>accountOfficerCode</code></td><td>string</td><td>The code of the account officer managing the account</td><td></td></tr><tr><td><code>accountStatus</code></td><td>string</td><td>The current status of the account (e.g., Active, Inactive)</td><td></td></tr><tr><td><code>hasDisbursed</code></td><td>boolean</td><td>Indicates whether funds have been disbursed from the account using <code>true</code> or <code>false</code></td><td></td></tr><tr><td><code>startDate</code></td><td>date</td><td>The start date of the account activity</td><td></td></tr><tr><td><code>endDate</code></td><td>date</td><td>The end date of the account activity</td><td></td></tr><tr><td><code>pageNumber</code></td><td>integer</td><td>The current page number for pagination</td><td></td></tr><tr><td><code>pageSize</code></td><td>integer</td><td>The number of records per page</td><td></td></tr><tr><td><code>sortColumn</code></td><td>string</td><td>The column by which the results are sorted</td><td></td></tr><tr><td><code>direction</code></td><td>string</td><td>The direction of the sort (e.g., ascending or  descending)</td><td></td></tr></tbody></table>

Here is an example request and response with a sample payload sent to the endpoint in Curl format.

<details>

<summary>Sample Request</summary>

```json
curl --location -g '{{baseurl}}/api/FixedDepositAccount/v1/Search?AccountNumber=1000002993&CustomerID=001&AccountName=Test&ProductCode=001&AccountOfficerCode=003&AccountStatus=Active&HasDisbursed=true&StartDate=2022-01-01&EndDate=2022-03-04&PageNumber=1&PageSize=10&SortColumn=DateCreated&Direction=asc' \
--header 'Authorization: bearer {token}' \
--header 'request-reference: {unique_reference}' \
--header 'Content-Type: application/json' \
--data ''
```

</details>

<details>

<summary>Respose: <code>200</code></summary>

```json
{
  "status": true,
  "message": "string",
  "data": {
    "data": [
      {
        "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "accountNumber": "string",
        "accountName": "string",
        "productName": "string",
        "limit": 0,
        "tenure": 0,
        "dateCreated": "2023-01-29T15:00:25.475Z",
        "commencementDate": "2023-01-29T15:00:25.475Z",
        "maturityDate": "2023-01-29T15:00:25.475Z",
        "useDefaultFee": true,
        "feeCodes": [
          {
            "feeCode": "string"
          }
        ],
        "feeAmount": 0,
        "useDefaultInterest": true,
        "interestCode": "string",
        "interestAmount": 0,
        "securityPledged": true,
        "securityType": "string",
        "securityValuation": 0,
        "description": "string",
        "initiator": "string",
        "guarantorName": "string",
        "guarantorPhoneNumber": "string",
        "status": "string",
        "ledgerBalance": "string",
        "availableBalance": "string",
        "withdrawableBalance": "string"
      }
    ],
    "recordCount": 0
  }
}
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.udara360.io/udara360-docs-1/savings/fixed-deposits-api/search-fixed-deposit-account.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
